import { NamedUnit } from "../../NamedUnit.js";
import { UnitMatrix } from "../../UnitMatrix.js";

/**
 * SI derived unit of magnetic flux. 1 Wb = 1 V·s = 1 kg·m^2 / (s^2·A).
 * @type {NamedUnit}
 */
export const WEBER = new NamedUnit(
    'Weber',
    'Wb',
    'SI derived unit of magnetic flux. 1 Wb = 1 V·s.',
    new UnitMatrix().set(2, 1, -2, -1, 0, 0, 0)
);
